Read Webhook Endpoint
Intent
Reads the webhook endpoint without changing it.
When to call it
Call this after your application has received or stored the identifier for the webhook endpoint.
Access boundary
Authorize the request with a token that carries webhooks:read or webhooks:write.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
Operational notes
Get a webhook endpoint by ID.
Scopes: webhooks:read webhooks:write
Authorizations
You can generate an Organization Access Token from your organization's settings.
Path Parameters
The webhook endpoint ID.
Response
Successful Response
A webhook endpoint.
The time Ruba created this record.
The time this record last changed.
The stable identifier for this record.
The URL where the webhook events will be sent.
"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"
The format of the webhook payload.
raw, discord, slack The secret used to sign the webhook events.
"ruba_whs_example_not_a_real_secret"
The organization ID associated with the webhook endpoint.
The events that will trigger the webhook.
checkout.created, checkout.updated, checkout.expired, customer.created, customer.updated, customer.deleted, customer.state_changed, customer_seat.assigned, customer_seat.claimed, customer_seat.revoked, member.created, member.updated, member.deleted, order.created, order.updated, order.paid, order.refunded, subscription.created, subscription.updated, subscription.active, subscription.canceled, subscription.uncanceled, subscription.revoked, subscription.past_due, refund.created, refund.updated, product.created, product.updated, benefit.created, benefit.updated, benefit_grant.created, benefit_grant.cycled, benefit_grant.updated, benefit_grant.revoked, organization.updated Whether the webhook endpoint is enabled and will receive events.
An optional name for the webhook endpoint to help organize and identify it.